Name: python-fudge
Version: 1.0.3
Release: 3%{?dist}
Summary: A Python module for using fake objects (mocks and stubs) to test real ones

License: MIT
URL:     http://farmdev.com/projects/fudge/
Source0: https://pypi.python.org/packages/source/f/fudge/fudge-%{version}.tar.gz
# See check section for details
Source1: tox.ini

BuildArch: noarch
BuildRequires: python2-devel python-setuptools

# Build req. for the test suite
BuildRequires: python-tox python-nose python-sphinx

%description
Fudge is a Python module for using fake objects (mocks and stubs) 
to test real ones.



%prep 
%setup -q -n fudge-%{version}

%build
%{__python2} setup.py build

%check
# We'll use a custom config since we dont have access to the outside 
# in fedora buildsys
#./run_tests
cp %{SOURCE1}  %{_builddir}/fudge-%{version}
tox

%install
rm -rf $RPM_BUILD_ROOT
%{__python2} setup.py install --skip-build --root $RPM_BUILD_ROOT

 
%files
%doc LICENSE.txt README.txt
%{python2_sitelib}/*


%changelog
* Sun Mar 30 2014 Athmane Madjoudj <athmane@fedoraproject.org> 1.0.3-3
- Use more strict python macros

* Sun Mar 30 2014 Athmane Madjoudj <athmane@fedoraproject.org> 1.0.3-2
- Specify python version in the build requirement
- Remove unused macros
- Enable the test suite

* Sat Mar 15 2014 Athmane Madjoudj <athmane@fedoraproject.org>  1.0.3-1
- Initial spec.

